std::_Mu< _Arg, _IsBindExp, _IsPlaceholder > Class Template Reference

## Detailed Description

### template<typename _Arg, bool _IsBindExp = is_bind_expression<_Arg>::value, bool _IsPlaceholder = (is_placeholder<_Arg>::value > 0)>
class std::_Mu< _Arg, _IsBindExp, _IsPlaceholder >

Maps an argument to bind() into an actual argument to the bound function object [TR1 3.6.3/5]. Only the first parameter should be specified: the rest are used to determine among the various implementations. Note that, although this class is a function object, it isn't entirely normal because it takes only two parameters regardless of the number of parameters passed to the bind expression. The first parameter is the bound argument and the second parameter is a tuple containing references to the rest of the arguments.

Definition at line 1071 of file functional.

The documentation for this class was generated from the following file:

- functional